package com.bytesw.juego;

import static org.mockito.Mockito.*;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.junit.MockitoJUnitRunner;
import java.io.ByteArrayOutputStream;
import java.io.PrintStream;
import static org.junit.Assert.assertEquals;

@RunWith(MockitoJUnitRunner.class)
public class JugadorTest {

    @InjectMocks
    Jugador jugador = new Jugador("Charles");
    @Mock
    Mano mano = new Mano();
    private ByteArrayOutputStream out;

    @Before
    public void setup() {
       out = new ByteArrayOutputStream();
        System.setOut(new PrintStream(out));
    }

    @Test
    public void testObtenerValorDeLaMano() {
        System.out.println("Probrando la suma del valor de la mano");
        when(mano.sumarCartasEnLaMano()).thenReturn(20);
        assertEquals(20,jugador.obtenerValorDeLaMano());
    }

    @Test
    public void superoElValor21() {
        System.out.println("Probrando si paso 21 la suma de su mano");
        when(mano.sumarCartasEnLaMano()).thenReturn(22);
        assertEquals(true,jugador.superoElValor21());
    }


}