package com.bytesw.juego;

import com.bytesw.baraja.cartas.Carta;
import java.util.ArrayList;

public class Mano {
    private ArrayList<Carta> cartas;

    public Mano(){
        this.cartas = new ArrayList<>();
    }

    /*Metodo que agrega una carta a la lista de Cartas*/
    public void agregarCarta(Carta carta){
        cartas.add(carta);
    }

    /*Metodo que muestra las cartas agregadas en la mano del jugador o crupier*/
    public void mostrarCartas(){
        for(Carta carta: cartas){
            carta.mostrar();
        }
    }

    /*Obtiene la suma de las cartas en la mano del jugador o crupier*/
    public int sumarCartasEnLaMano(){

        int suma = 0;
        for(int i = 0 ; i<cartas.size();i++){
            if(cartas.get(i).getValor()==1){
                final int valorAz=1;
                final int valor2Az=11;
                if( (suma+11) > 21){
                    suma += valorAz;
                } else if ((suma+11) <= 21) {
                    suma += valor2Az;
                }
            }else{
                suma += cartas.get(i).getValor();
            }
        }
        return suma;
    }


}
